// priority: 0

ServerEvents.recipes(event => {
	//pig
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput('pig')
		.input(Item.of(MC("gold_ingot"), 9))
		.input(Item.of(PRE("aeternalis_fuel"), 1))
		.input(Item.of(MC("emerald"), 1))
		.input(Item.of(MC("dirt"), 1))
		.input(Item.of(MC("carrot"), 3))
		.input(Item.of(MC("pink_dye"), 1))
		.recipeTime(200)
		.dayTime('day')
	//chicken
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput('chicken')
		.input(Item.of(MC("wheat_seeds"), 2))
		.input(Item.of(MC("iron_ingot"), 6))
		.input(Item.of(PRE("alchemical_coal"), 5))
		.input(Item.of(MC("diamond"), 2))
		.input(Item.of(MC("dirt"), 1))
		.input(Item.of(MC("white_dye"), 1))
		.recipeTime(200)
		.dayTime('day')
	//bee
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput('bee')
		.input(Item.of(MC("#flowers"), 3))
		.input(Item.of(MC("yellow_dye"), 2))
		.input(Item.of(MC("glowstone_dust"), 4))
		.input(Item.of(MC("emerald"), 1))
		.recipeTime(200)
		.dayTime('day')
	//blaze
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput('blaze')
		.input(Item.of(MC("netherrack"), 1))
		.input(Item.of(MC("blaze_powder"), 3))
		.input(Item.of(MC("glowstone_dust"), 4))
		.input(Item.of(MC("emerald"), 1))
		.input(Item.of(MC("redstone"), 2))
		.input(Item.of(MC("nether_wart"), 1))
		.input(Item.of(MC("orange_dye"), 1))
		.recipeTime(200)
		.dayTime('night')
	//enderman
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput('enderman')
		.input(Item.of(MC("ender_pearl"), 1))
		.input(Item.of(MC("redstone"), 4))
		.input(Item.of(MC("emerald"), 1))
		.input(Item.of(MC("glowstone_dust"), 9))
		.input(Item.of(MC("nether_wart"), 1))
		.input(Item.of(MC("black_dye"), 2))
		.recipeTime(200)
		.dayTime('night')
	//guardian
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput('guardian')
		.input(Item.of(MC("prismarine_crystals"), 1))
		.input(Item.of(MC("redstone"), 9))
		.input(Item.of(MC("emerald"), 3))
		.input(Item.of(MC("glowstone_dust"), 2))
		.input(Item.of(MC("cyan_dye"), 3))
		.input(MC("#fishes"))
		.recipeTime(200)
		.dayTime('night')
	//shulker
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput('shulker')
		.input(Item.of(MC("end_stone"), 8))
		.input(Item.of(MC("ender_pearl"), 2))
		.input(Item.of(MC("glowstone_dust"), 7))
		.input(Item.of(MC("emerald"), 3))
		.input(Item.of(MC("purple_dye"), 1))
		.recipeTime(200)
		.dayTime('night')
	//horse
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput('horse')
		.input(Item.of(CR("zinc_ingot"), 9))
		.input(Item.of(MC("brown_dye"), 1))
		.input(Item.of(MC("redstone"), 4))
		.input(Item.of(MC("glowstone_dust"), 2))
		.input(Item.of(MC("emerald"), 4))
		.input(Item.of(MC("dirt"), 1))
		.input(Item.of(MC("saddle"), 1))
		.input(Item.of(MC("golden_apple"), 1))
		.recipeTime(200)
		.dayTime('day')
	//donkey
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput(MC('donkey'))
		.input(Item.of(MC("copper_ingot"), 3))
		.input(Item.of(MC("golden_carrot"), 1))
		.input(Item.of(MC("gray_dye"), 1))
		.input(Item.of(MC("redstone"), 8))
		.input(Item.of(MC("dirt"), 1))
		.input(Item.of(MC("emerald"), 3))
		.input(Item.of(MC("glowstone_dust"), 3))
		.recipeTime(200)
		.dayTime('day')
	//cow
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput(MC('cow'))
		.input(Item.of(MC("dirt"), 1))
		.input(Item.of(MC("wheat"), 1))
		.input(Item.of(MC("light_gray_dye"), 1))
		.input(Item.of(MC("redstone"), 1))
		.input(Item.of(MC("emerald"), 1))
		.input(Item.of(MC("leather"), 4))
		.input(Item.of(MC("glowstone_dust"), 6))
		.input(Item.of(MC("iron_ingot"), 3))
		.recipeTime(200)
		.dayTime('day')
	//goat
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput(MC('goat'))
		.input(Item.of(MC("wheat"), 5))
		.input(Item.of(MC("white_dye"), 1))
		.input(Item.of(MC("redstone"), 1))
		.input(Item.of(MC("emerald"), 1))
		.input(Item.of(MC("glowstone_dust"), 6))
		.input(Item.of(MC("iron_ingot"), 3))
		.input(Item.of(MC("dirt"), 1))
		.recipeTime(200)
		.dayTime('day')
	//mooshroom
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput(MC('mooshroom'))
		.input(Item.of(MC("mycelium"), 1))
		.input(Item.of(MC("wheat"), 1))
		.input(Item.of(MC("red_dye"), 1))
		.input(Item.of(MC("red_mushroom"), 4))
		.input(Item.of(MC("brown_mushroom"), 1))
		.input(Item.of(MC("emerald"), 1))
		.input(Item.of(MC("glowstone_dust"), 6))
		.input(Item.of(MC("iron_ingot"), 5))
		.recipeTime(200)
		.dayTime('day')
	//sheep
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput(MC('sheep'))
		.input(Item.of(MC("dirt"), 1))
		.input(Item.of(MC("wheat"), 1))
		.input(Item.of(MC("white_dye"), 1))
		.input(Item.of(MC("white_wool"), 4))
		.input(Item.of(MC("emerald"), 2))
		.input(Item.of(MC("glowstone_dust"), 6))
		.input(Item.of(MC("iron_ingot"), 5))
		.recipeTime(200)
		.dayTime('day')
	//wolf
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput(MC('wolf'))
		.input(Item.of(MC("dirt"), 1))
		.input(Item.of(MC("beef"), 1))
		.input(Item.of(MC("light_gray_dye"), 1))
		.input(Item.of(MC("bone"), 3))
		.input(Item.of(MC("emerald"), 4))
		.input(Item.of(MC("glowstone_dust"), 2))
		.recipeTime(200)
		.dayTime('day')
	//cat
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput(MC('cat'))
		.input(Item.of(MC("dirt"), 1))
		.input(Item.of(MC("redstone"), 3))
		.input(MC("#fishes"))
		.input(Item.of(MC("black_dye"), 1))
		.input(Item.of(MC("string"), 4))
		.input(Item.of(MC("emerald"), 4))
		.recipeTime(200)
		.dayTime('day')
	//ocelot
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput(MC('ocelot'))
		.input(Item.of(MC("emerald"), 5))
		.input(Item.of(MC("dirt"), 1))
		.input(Item.of(MC("redstone"), 3))
		.input(MC("#fishes"))
		.input(Item.of(MC("orange_dye"), 1))
		.input(Item.of(MC("string"), 4))
		.recipeTime(200)
		.dayTime('day')
	//llama
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput(MC('llama'))
		.input(Item.of(MC("emerald"), 5))
		.input(Item.of(MC("leather"), 3))
		.input(Item.of(MC("hay_block"), 1))
		.input(Item.of(MC("glowstone_dust"), 3))
		.input(Item.of(MC("yellow_dye"), 1))
		.recipeTime(200)
		.dayTime('day')
	//rabbit
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput(MC('rabbit'))
		.input(Item.of(MC("diamond"), 2))
		.input(Item.of(MC("dandelion"), 3))
		.input(Item.of(MC("glowstone_dust"), 3))
		.input(Item.of(MC("redstone"), 6))
		.input(Item.of(MC("light_gray_dye"), 1))
		.recipeTime(200)
		.dayTime('day')
	//turtle
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput(MC('turtle'))
		.input(Item.of(MC("diamond"), 8))
		.input(Item.of(MC("kelp"), 6))
		.input(Item.of(MC("glowstone_dust"), 3))
		.input(Item.of(MC("redstone"), 6))
		.input(Item.of(MC("green_dye"), 1))
		.input(Item.of(MC("water_bucket"), 1))
		.recipeTime(200)
		.dayTime('day')
	//panda
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput(MC('panda'))
		.input(Item.of(MC("gold_ingot"), 16))
		.input(Item.of(MC("bamboo"), 16))
		.input(Item.of(MC("snowball"), 4))
		.input(Item.of(MC("redstone"), 6))
		.input(Item.of(MC("black_dye"), 1))
		.input(Item.of(MC("white_dye"), 1))
		.recipeTime(200)
		.dayTime('day')
	//fox
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput(MC('fox'))
		.input(Item.of(CR("zinc_ingot"), 8))
		.input(Item.of(MC("sweet_berries"), 10))
		.input(Item.of(MC("dirt"), 4))
		.input(Item.of(MC("emerald"), 1))
		.input(Item.of(MC("orange_dye"), 1))
		.recipeTime(200)
		.dayTime('day')
	//strider
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput(MC('strider'))
		.input(Item.of(CR_M("tungsten_ingot"), 8))
		.input(Item.of(MC("lava_bucket"), 1))
		.input(Item.of(MC("gold_nugget"), 3))
		.input(Item.of(MC("quartz"), 9))
		.input(Item.of(MC("warped_nylium"), 1))
		.input(Item.of(MC("amethyst_shard"), 5))
		.input(Item.of(MC("pink_dye"), 1))
		.input(Item.of(MC("warped_fungus"), 2))
		.recipeTime(200)
	//hoglin
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput(MC('hoglin'))
		.input(Item.of(MC("crimson_nylium"), 1))
		.input(Item.of(MC("gold_ingot"), 4))
		.input(Item.of(MC("quartz"), 4))
		.input(Item.of(MC("lapis_lazuli"), 7))
		.input(Item.of(MC("brown_dye"), 1))
		.input(Item.of(MC("crimson_fungus"), 2))
		.recipeTime(200)
		.dayTime('night')
	//frog
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput(MC('frog'))
		.input(Item.of(MC("iron_ingot"), 8))
		.input(Item.of(MC("slime_ball"), 2))
		.input(Item.of(MC("water_bucket"), 1))
		.input(Item.of(MC("emerald"), 3))
		.input(Item.of(MC("green_dye"), 1))
		.recipeTime(200)
		.dayTime('day')
	//camel
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput(MC('camel'))
		.input(Item.of(MC("gold_ingot"), 9))
		.input(Item.of(MC("cactus"), 4))
		.input(Item.of(MC("sand"), 8))
		.input(Item.of(MC("emerald"), 3))
		.input(Item.of(MC("yellow_dye"), 1))
		.recipeTime(200)
		.dayTime('day')
	//warden
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput(MC('warden'))
		.input(Item.of(MC("sculk_shrieker"), 4))
		.input(Item.of(MC("gold_ingot"), 32))
		.input(Item.of(MC("echo_shard"), 16))
		.input(Item.of(MC("emerald"), 16))
		.input(Item.of(MC("black_dye"), 5))
		.blockBelow(MC('sculk_shrieker'))
		.sacrifice('goat', 3)
		.sacrificeRegion(7, 7)
		.recipeTime(200)
		.dayTime('night')
	//elder_guardian
    event.recipes.summoningrituals.altar(KJ("summoning_doll"))
		.mobOutput(MC('elder_guardian'))
		.input(Item.of(MC("wet_sponge"), 8))
		.input(Item.of(MC("gold_ingot"), 32))
		.input(Item.of(MC("sponge"), 16))
		.input(Item.of(MC("emerald"), 16))
		.input(Item.of(MC("cyan_dye"), 5))
		.recipeTime(200)
		.blockBelow(MC('wet_sponge'))
		.sacrifice('guardian', 3)
		.sacrificeRegion(7, 7)
		.dayTime('night')
});
